<?php

#https://whmcs.community/topic/292268-email-history-homepage-panel/

# Email History (Popup) HomePagePanel Hook
# Written by brian!
# Adaptações Edvan

use Illuminate\Database\Capsule\Manager as Capsule;
use WHMCS\View\Menu\Item;

add_hook('ClientAreaHomepagePanels', 1, function (Item $homePagePanels)
{
	$client = Menu::context('client');
	
	$limite=30; //Será exibido 30 últimos emails que o sistema enviou.

	$clientemails = Capsule::table('tblemails')->where('userid', $client->id)->select('id','subject','date')->orderBy('date','desc')->limit($limite)->get();

	if (count($clientemails)) {
		$homePagePanels->addChild('Your Emails', array(
        'label' => Lang::trans('navemailssent'),
        'icon' => 'fa-envelope',
        'order' => 125,
        'extras' => array(
            'color' => 'wet-asphalt',
            'btn-link' => 'clientarea.php?action=emails',
            'btn-text' => Lang::trans('viewAll'),
            'btn-icon' => 'fa-arrow-right',
        ),
		));	

                //1 ( texto ) ou 2 ( ícone + texto )
		
                $opcao=1; 
				
		if ($opcao==1){
			$texto=Lang::trans('view');
			$class='label label-info';
		}
		else{
			
			$texto='<i class="fas fa-search-plus fa-w-14 fa-2x"></i>';
			$class='';
			
		}
			
		
		foreach ($clientemails as $key => $child){
			$homePagePanels->getChild('Your Emails')
							->addChild($key)
							->setLabel('<span title="'.Lang::trans('view').'" class="'.$class.'" style="cursor:pointer" onclick="popupWindow(\'viewemail.php?id='.$child->id.'\', \'emailWin\', \'650\', \'450\')"/>'.$texto.'</span> '.fromMySQLDate($child->date,true,false).' - '.$child->subject);
		}
	}
});
?>